Skip to main content
GET
/
ai-agents
/
agent-builder
/
knowledge-base
/
text
/
{uniqueId}
Get Text Entry
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId} \
  --header 'apikey: <api-key>'
{
  "data": {
    "uniqueId": "<string>",
    "title": "<string>",
    "text": "<string>",
    "fileName": "<string>",
    "s3Key": "<string>",
    "status": "<string>",
    "vectorizationStatus": "<string>",
    "createdAt": 123,
    "updatedAt": 123,
    "isActive": true
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique text detail ID

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Response

200 - application/json

Text detail retrieved successfully

data
object